import request from '@/utils/request';

// 获取用户详细信息
export function getList(params) {
  return request({
    url: '/customer/getList',
    params
  });
}
// 编辑/删除客户(status = -1)
export function handleUser(data) {
  return request({
    url: '/customer/handleUser',
    method: 'post',
    data
  });
}
// 手动添加客户
export function addUser(data) {
  return request({
    url: '/customer/addUser',
    method: 'post',
    data
  });
}
// 分页获取商品列表
export function getList2(params) {
  return request({
    url: '/product/getList',
    params
  });
}
// 添加商品
export function addProduct(data) {
  return request({
    url: '/product/addProduct',
    method: 'post',
    data
  });
}
// 更新商品/删除(status = -1)
export function handleProduct(data) {
  return request({
    url: '/product/handleProduct',
    method: 'post',
    data
  });
}
// 根据手机号/处理状态分页获取订单列表
export function getList3(params) {
  return request({
    url: '/webOrder/getList',
    params
  });
}
// 处理订单
export function handleOrder(data) {
  return request({
    url: '/webOrder/handleOrder',
    method: 'post',
    data
  });
}
// Excel导入
export function importDate(data) {
  return request({
    url: '/webOrder/importDate',
    method: 'post',
    data
  });
}
